/*****************************************************************************
 * grab-file.h: common struct/tools for grab-avi and grab-dvb
 *  THE AVI FILE MUST BE IN XVID FORMAT.
 *****************************************************************************
 * $Id: grab-file.h,v 1.1 2005/08/05 14:38:19 estre Exp $
 *****************************************************************************
 * Copyright (C) 2003 estre
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef GRAB_FILE
#define GRAB_FILE

#include "config.h"
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>
#include <sys/time.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/times.h>
#include <pthread.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#ifdef NOTHAVE_SEM 
#undef SEM_FAST_REPLACE
  #ifdef SEM_FAST_REPLACE
  /* The following replacement is not correct because
     a mutex should always be unlocked
     by the thread which has locked it. (see pthread_mutex(3)) 
     (in fact it works on linux but NOT on openbsd)
  */
  #undef NOTHAVE_SEM
  #define sem_t pthread_mutex_t
  #define sem_post pthread_mutex_unlock
  #define sem_wait pthread_mutex_lock
  #define sem_trywait pthread_mutex_trylock
  #define sem_init(x,y,z) \
     pthread_mutex_init(x,NULL); pthread_mutex_lock(x);
  #define sem_destroy pthread_mutex_destroy
  #endif
#else
#include <semaphore.h>
#endif
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <math.h>
#include "strtab.h"
#include "grab.h"
#include "colorspace.h"
#include "audio.h"
#include "mixer.h"
#include "memcpy.h"

#define AUDIOBUF 800000

void file_audio_stop(void);

void file_wait_write_audio(void);

void init_semaphores_or_mutex(void);
void destroy_semaphores_or_mutex(void);

int file_extract_audiobuf(void *buf);
void unlok_lock_mutex(void);
void* audio_main(void *arg);
void file_audio_start(void);

#endif
