 /******************************************************************************
 * pixmaps_loader.h: NLS support
 *******************************************************************************
 * $Id: pixmaps_loader.h,v 1.10 2006/06/11 11:06:14 pingus77 Exp $
 *****************************************************************************
 * Copyright (C) 2005 Nico
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef Pixmaps_loader__H
#define Pixmaps_loader__H

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xmd.h>
#include <X11/keysym.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xatom.h>
#include <X11/Shell.h>
#include <X11/Xaw/XawInit.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Scrollbar.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>

void load_pixlib(int loadpix,char* theme);
void close_pixlib(void);
void create_main_pixmaps   (Display *display, Drawable* d);
void create_divx_pixmaps   (Display *display, Drawable* d);
void create_divxaudio_pixmaps (Display *display, Drawable* d);
void create_fileselector_pixmaps(Display *display, Drawable* d);
void create_fileselector_menu_pixmaps(Display *display, Drawable* d);
void create_alevt_pixmaps(Display *display, Drawable* d);
void create_grab_pixmaps(Display *display, Drawable* d);
void create_xosd_pixmaps(Display *display, Drawable* d);
void create_plugin_pixmaps(Display *display, Drawable* d);
void create_x11_pixmaps(Display *display, Drawable* d);
void create_popup_pixmaps(Display *display, Drawable* d);
void create_help_pixmaps(Display *display, Drawable* d);
void create_subtitle_pixmaps(Display *display, Drawable* d);
#ifdef HAVE_FFMPEG
void create_ffmpeg_pixmaps(Display *display, Drawable* d);
#endif
#ifdef HAVE_XVID
void create_xvid_pixmaps(Display *display, Drawable* d);
#endif

// DivX Streaming
void create_divxstream_common_pixmaps (Display *display, Drawable* d);
void create_divxstream_on_pixmaps (Display *display, Drawable* d);
void create_divxstream_off_pixmaps (Display *display, Drawable* d);
void create_divxstream_started_pixmaps (Display *display, Drawable* d);
void create_divxstream_stopped_pixmaps (Display *display, Drawable* d);

// Editor GUI
void create_editor_common_pixmaps (Display *display, Drawable* d);
void create_editor_off_pixmaps (Display *display, Drawable* d);
void create_editor_on_pixmaps (Display *display, Drawable* d);
#ifdef HAVE_DVB
void create_editor_dvb_pixmaps (Display *display, Drawable* d);
#endif

// DVB!!!!!!
#ifdef HAVE_DVB
void create_dvbinit_common_pixmaps(Display *display, Drawable* d);
void create_dvbinit_off_pixmaps(Display *display, Drawable* d);
void create_dvbinit_on_pixmaps(Display *display, Drawable* d);
#endif

void load_lib(char* name, int exit_on_error);

void parse_lib_name(char* lib_theme_name,char* lib_lang, const char* parsed_name);
void set_theme_name(char* theme);
void reload_pixlib(int loadpix,char* theme);
#endif
